cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/stream/traces/{traceId}/spansimport requests
url = "https://api.staging.qyl.dev/api/v1/stream/traces/{traceId}/spans"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/stream/traces/{traceId}/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Streaming
Stream trace spans
Stream spans for a specific trace
GET
/
api
/
v1
/
stream
/
traces
/
{traceId}
/
spans
cURL
This endpoint uses Server-Sent Events (SSE) for real-time streaming. Keep the connection open to receive span events for a specific trace as they occur.
Path Parameters
Unique trace identifier (32 lowercase hex characters)
Required string length:
32Pattern:
^[a-f0-9]{32}$Example:
"0af7651916cd43dd8448eb211c80319c"
Response
200 - text/event-stream
The request has succeeded.
The response is of type string.
Was this page helpful?
⌘I
